> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/asset/_setcustom.md).

# \_setCustom

Edit a custom value for an Asset

### Parameters

#### id

The ID of the Asset you wish to set the custom value for.

#### name

The name of the custom field to be set.

#### val

The value to be set.

### Example

```
FM_api('Asset_setCustom', ['id' => '4', 'name' => 'colour', 'val' => 'red'])
```

#### On Success

```
{"ok":1,"asset":{"type_id":"1","meta":"{\"custom\":{\"colour\":\"blue\",\"\":\"blue\"},\"main\":{\"vehicle_reg\":\"NU11TYP\"}}","location_type":"1","location_id":"3","owner_id":"0"},"asset_type":{"id":"1","name":"Fire","meta":"{\"template\":[{\"name\":\"Main\",\"draggable\":[{\"label\":\"Colour\",\"type\":\"none\",\"left\":20,\"top\":30,\"width\":200,\"height\":50,\"data_type\":\"Single-line Input\",\"field_name\":\"colour\"}]}]}","last_edited":"2018-09-27 12:31:59","attrs":"1","rental_type_id":"2"},"field""...
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/asset/_setcustom.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
